org.apache.poi.ss.usermodel

## Enum IconMultiStateFormatting.IconSet

- java.lang.Object
- - java.lang.Enum<IconMultiStateFormatting.IconSet>
  - - org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IconMultiStateFormatting.IconSet>
  Enclosing interface:
    IconMultiStateFormatting

      public static enum IconMultiStateFormatting.IconSet
      extends java.lang.Enum<IconMultiStateFormatting.IconSet>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GREY_3_ARROWS` Grey Up / Side / Down arrows
    `GREY_4_ARROWS` Grey Up / NE / SE / Down arrows
    `GREY_5_ARROWS`
    `GYR_3_ARROW` Green Up / Yellow Side / Red Down arrows
    `GYR_3_FLAGS` Green / Yellow / Red flags
    `GYR_3_SHAPES` Green Circle / Yellow Triangle / Red Diamond.
    `GYR_3_SYMBOLS` Green Tick / Yellow ! / Red Cross (no background)
    `GYR_3_SYMBOLS_CIRCLE` Green Tick / Yellow ! / Red Cross on a circle background
    `GYR_3_TRAFFIC_LIGHTS` Green / Yellow / Red traffic lights (no background).
    `GYR_3_TRAFFIC_LIGHTS_BOX` Green / Yellow / Red traffic lights on a black square background.
    `GYR_4_ARROWS` Green Up / Yellow NE / Yellow SE / Red Down arrows
    `GYRB_4_TRAFFIC_LIGHTS` Green / Yellow / Red / Black traffic lights
    `GYYYR_5_ARROWS`
    `QUARTERS_5`
    `RATINGS_4`
    `RATINGS_5`
    `RB_4_TRAFFIC_LIGHTS` Red / Light Red / Grey / Black traffic lights

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static IconMultiStateFormatting.IconSet` | `DEFAULT_ICONSET`
    `int` | `id` Numeric ID of the icon set
    `java.lang.String` | `name` Name (system) of the set
    `int` | `num` How many icons in the set

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IconMultiStateFormatting.IconSet` | `byId(int id)`
    `static IconMultiStateFormatting.IconSet` | `byName(java.lang.String name)`
    `java.lang.String` | `toString()`
    `static IconMultiStateFormatting.IconSet` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IconMultiStateFormatting.IconSet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GYR_3_ARROW

          public static final IconMultiStateFormatting.IconSet GYR_3_ARROW

      Green Up / Yellow Side / Red Down arrows

    - #### GREY_3_ARROWS

          public static final IconMultiStateFormatting.IconSet GREY_3_ARROWS

      Grey Up / Side / Down arrows

    - #### GYR_3_FLAGS

          public static final IconMultiStateFormatting.IconSet GYR_3_FLAGS

      Green / Yellow / Red flags

    - #### GYR_3_TRAFFIC_LIGHTS

          public static final IconMultiStateFormatting.IconSet GYR_3_TRAFFIC_LIGHTS

      Green / Yellow / Red traffic lights (no background). Default

    - #### GYR_3_TRAFFIC_LIGHTS_BOX

          public static final IconMultiStateFormatting.IconSet GYR_3_TRAFFIC_LIGHTS_BOX

      Green / Yellow / Red traffic lights on a black square background. Note, MS-XLS docs v20141018 say this is id=5 but seems to be id=4

    - #### GYR_3_SHAPES

          public static final IconMultiStateFormatting.IconSet GYR_3_SHAPES

      Green Circle / Yellow Triangle / Red Diamond. Note, MS-XLS docs v20141018 say this is id=4 but seems to be id=5

    - #### GYR_3_SYMBOLS_CIRCLE

          public static final IconMultiStateFormatting.IconSet GYR_3_SYMBOLS_CIRCLE

      Green Tick / Yellow ! / Red Cross on a circle background

    - #### GYR_3_SYMBOLS

          public static final IconMultiStateFormatting.IconSet GYR_3_SYMBOLS

      Green Tick / Yellow ! / Red Cross (no background)

    - #### GYR_4_ARROWS

          public static final IconMultiStateFormatting.IconSet GYR_4_ARROWS

      Green Up / Yellow NE / Yellow SE / Red Down arrows

    - #### GREY_4_ARROWS

          public static final IconMultiStateFormatting.IconSet GREY_4_ARROWS

      Grey Up / NE / SE / Down arrows

    - #### RB_4_TRAFFIC_LIGHTS

          public static final IconMultiStateFormatting.IconSet RB_4_TRAFFIC_LIGHTS

      Red / Light Red / Grey / Black traffic lights

    - #### RATINGS_4

          public static final IconMultiStateFormatting.IconSet RATINGS_4

    - #### GYRB_4_TRAFFIC_LIGHTS

          public static final IconMultiStateFormatting.IconSet GYRB_4_TRAFFIC_LIGHTS

      Green / Yellow / Red / Black traffic lights

    - #### GYYYR_5_ARROWS

          public static final IconMultiStateFormatting.IconSet GYYYR_5_ARROWS

    - #### GREY_5_ARROWS

          public static final IconMultiStateFormatting.IconSet GREY_5_ARROWS

    - #### RATINGS_5

          public static final IconMultiStateFormatting.IconSet RATINGS_5

    - #### QUARTERS_5

          public static final IconMultiStateFormatting.IconSet QUARTERS_5

  - ### Field Detail

    - #### DEFAULT_ICONSET

          protected static final IconMultiStateFormatting.IconSet DEFAULT_ICONSET

    - #### id

          public final int id

      Numeric ID of the icon set

    - #### num

          public final int num

      How many icons in the set

    - #### name

          public final java.lang.String name

      Name (system) of the set

  - ### Method Detail

    - #### values

          public static IconMultiStateFormatting.IconSet[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IconMultiStateFormatting.IconSet c : IconMultiStateFormatting.IconSet.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IconMultiStateFormatting.IconSet valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<IconMultiStateFormatting.IconSet>`

    - #### byId

          public static IconMultiStateFormatting.IconSet byId(int id)

    - #### byName

          public static IconMultiStateFormatting.IconSet byName(java.lang.String name)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.